summaryrefslogtreecommitdiff
path: root/dev-ruby/propshaft
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
commitb590c8d7572b727d565cc0b8ff660d43569845de (patch)
tree06f7a4102ea4e845df8b66660f252920d52952f9 /dev-ruby/propshaft
parent24f9cbfc4c34fdb6a6e03311674414e881ceab47 (diff)
downloadbaldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.gz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.xz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.zip
Adding metadata
Diffstat (limited to 'dev-ruby/propshaft')
-rw-r--r--dev-ruby/propshaft/Manifest5
-rw-r--r--dev-ruby/propshaft/metadata.xml9
-rw-r--r--dev-ruby/propshaft/propshaft-0.9.1.ebuild39
-rw-r--r--dev-ruby/propshaft/propshaft-1.1.0.ebuild39
-rw-r--r--dev-ruby/propshaft/propshaft-1.2.0.ebuild38
-rw-r--r--dev-ruby/propshaft/propshaft-1.2.1.ebuild38
-rw-r--r--dev-ruby/propshaft/propshaft-1.3.1.ebuild38
7 files changed, 206 insertions, 0 deletions
diff --git a/dev-ruby/propshaft/Manifest b/dev-ruby/propshaft/Manifest
new file mode 100644
index 000000000000..8aa5f35c5012
--- /dev/null
+++ b/dev-ruby/propshaft/Manifest
@@ -0,0 +1,5 @@
+DIST propshaft-0.9.1-git.tgz 250403 BLAKE2B 194dad0d196421c71220a47e66ebd36d744f8009551c210244a1f7a79a04d095fe4b00497c8dcf4b57358c9454768cae3d6743855b5f0a59a6ead0d282938a55 SHA512 5d2d707f00b09c89c01d217695a7bd7a44f2427df091e84883f07e01b821218bd16776196c6f468071fc95a211df785443f12da0f795d433e359e1655f08c4ce
+DIST propshaft-1.1.0-git.tgz 251511 BLAKE2B 051071e5b54f2b29afc63d7daed83e9a482559c5ec84d59feb0b2974f33f87e9c4284ed9d5a07cce8a3d396d04a99259fd3809238bdf3521e9fcf45cfbb947d5 SHA512 474eefc0b78d404983017a513a92a09803feb6ffedaa1d029ca6fcee28c648aabf2ae6df18ffd05c30f4b038af2036b981bff4ead4e149223ede6482820be639
+DIST propshaft-1.2.0-git.tgz 256661 BLAKE2B 28760c10b90b354eaa502522ed490312384402f584a8ee4640fae5367463387acaad6c8382ef33f593ffef1e8ee0c5bbe58d56ff551d9115712f12830b0a0046 SHA512 e4dd2d1ef846b2fd59d060dbf714c7fb0af7e16d1cbd3638ebc0a8d407a09a3a4a8d0615756c9467370465b1f8f49cae34987ac3390959e47fd9ec9e50cc1a59
+DIST propshaft-1.2.1-git.tgz 258161 BLAKE2B 7ac1f2bcb0a8798e27d12f16ed9f96ad200d7ca63712bb3b7daa8b712fb022ba1a452b2671f182f4b7fce87a939651444e0dc81e7b7c9449fe2a0a2cf641a524 SHA512 0695da33eaa3c1565fd15b877f470e0e228fd48107ad97b4a4db404788618a9b536920e8b2fb601ca04b8bb1eacb907baaa442281d8a34a86340c1b4d9cf6d65
+DIST propshaft-1.3.1-git.tgz 258406 BLAKE2B fe2a7f6fce912b4942b9bb5dc6f7ee1cbbb16e73a5e0f4824efa305267f0766bc907acfc60597737cc7118ace7d6c388fcf49077bbf5869576ec80eaaccd5cd2 SHA512 261327ee61694810bb15e3999d034ab672c15eedc141935aeef2a294debb8ba93a676a48f81ae71c714ac39a9aef5e1f1dc437f3deae170a5439bc9b483e18a1
diff --git a/dev-ruby/propshaft/metadata.xml b/dev-ruby/propshaft/metadata.xml
new file mode 100644
index 000000000000..c685ebad7e3a
--- /dev/null
+++ b/dev-ruby/propshaft/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>ruby@gentoo.org</email>
+ <name>Gentoo Ruby Project</name>
+ </maintainer>
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>
diff --git a/dev-ruby/propshaft/propshaft-0.9.1.ebuild b/dev-ruby/propshaft/propshaft-0.9.1.ebuild
new file mode 100644
index 000000000000..cc4eb2ea4af6
--- /dev/null
+++ b/dev-ruby/propshaft/propshaft-0.9.1.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby32 ruby33 ruby34"
+
+RUBY_FAKEGEM_BINWRAP=""
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+RUBY_FAKEGEM_GEMSPEC="propshaft.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Deliver assets for Rails"
+HOMEPAGE="https://github.com/rails/propshaft"
+SRC_URI="https://github.com/rails/propshaft/archive/v${PV}.tar.gz -> ${P}-git.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1)"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+IUSE="test"
+
+ruby_add_rdepend "
+ >=dev-ruby/actionpack-7.0.0:*
+ >=dev-ruby/activesupport-7.0.0:*
+ dev-ruby/rack:*
+ >=dev-ruby/railties-7.0.0:*
+"
+
+ruby_add_bdepend "test? ( >=dev-ruby/rails-7.0.0 )"
+
+all_ruby_prepare() {
+ rm -f Gemfile.lock || die
+ sed -i -e '/debug/ s:^:#:' Gemfile || die
+
+ sed -i -e 's:_relative ": "./:' ${RUBY_FAKEGEM_GEMSPEC} || die
+}
diff --git a/dev-ruby/propshaft/propshaft-1.1.0.ebuild b/dev-ruby/propshaft/propshaft-1.1.0.ebuild
new file mode 100644
index 000000000000..ccc0b27a1e3b
--- /dev/null
+++ b/dev-ruby/propshaft/propshaft-1.1.0.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby32 ruby33 ruby34"
+
+RUBY_FAKEGEM_BINWRAP=""
+RUBY_FAKEGEM_EXTRADOC="README.md UPGRADING.md"
+
+RUBY_FAKEGEM_GEMSPEC="propshaft.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Deliver assets for Rails"
+HOMEPAGE="https://github.com/rails/propshaft"
+SRC_URI="https://github.com/rails/propshaft/archive/v${PV}.tar.gz -> ${P}-git.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1)"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+IUSE="test"
+
+ruby_add_rdepend "
+ >=dev-ruby/actionpack-7.0.0:*
+ >=dev-ruby/activesupport-7.0.0:*
+ dev-ruby/rack:*
+ >=dev-ruby/railties-7.0.0:*
+"
+
+ruby_add_bdepend "test? ( >=dev-ruby/rails-7.0.0 )"
+
+all_ruby_prepare() {
+ rm -f Gemfile.lock || die
+ sed -i -e '/debug/ s:^:#:' Gemfile || die
+
+ sed -i -e 's:_relative ": "./:' ${RUBY_FAKEGEM_GEMSPEC} || die
+}
diff --git a/dev-ruby/propshaft/propshaft-1.2.0.ebuild b/dev-ruby/propshaft/propshaft-1.2.0.ebuild
new file mode 100644
index 000000000000..c92fb178fd50
--- /dev/null
+++ b/dev-ruby/propshaft/propshaft-1.2.0.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby32 ruby33 ruby34"
+
+RUBY_FAKEGEM_BINWRAP=""
+RUBY_FAKEGEM_EXTRADOC="README.md UPGRADING.md"
+
+RUBY_FAKEGEM_GEMSPEC="propshaft.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Deliver assets for Rails"
+HOMEPAGE="https://github.com/rails/propshaft"
+SRC_URI="https://github.com/rails/propshaft/archive/v${PV}.tar.gz -> ${P}-git.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1)"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+IUSE="test"
+
+ruby_add_rdepend "
+ >=dev-ruby/actionpack-7.0.0:*
+ >=dev-ruby/activesupport-7.0.0:*
+ dev-ruby/rack:*
+"
+
+ruby_add_bdepend "test? ( >=dev-ruby/rails-7.0.0 )"
+
+all_ruby_prepare() {
+ rm -f Gemfile.lock || die
+ sed -i -e '/debug/ s:^:#:' Gemfile || die
+
+ sed -i -e 's:_relative ": "./:' ${RUBY_FAKEGEM_GEMSPEC} || die
+}
diff --git a/dev-ruby/propshaft/propshaft-1.2.1.ebuild b/dev-ruby/propshaft/propshaft-1.2.1.ebuild
new file mode 100644
index 000000000000..c92fb178fd50
--- /dev/null
+++ b/dev-ruby/propshaft/propshaft-1.2.1.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby32 ruby33 ruby34"
+
+RUBY_FAKEGEM_BINWRAP=""
+RUBY_FAKEGEM_EXTRADOC="README.md UPGRADING.md"
+
+RUBY_FAKEGEM_GEMSPEC="propshaft.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Deliver assets for Rails"
+HOMEPAGE="https://github.com/rails/propshaft"
+SRC_URI="https://github.com/rails/propshaft/archive/v${PV}.tar.gz -> ${P}-git.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1)"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+IUSE="test"
+
+ruby_add_rdepend "
+ >=dev-ruby/actionpack-7.0.0:*
+ >=dev-ruby/activesupport-7.0.0:*
+ dev-ruby/rack:*
+"
+
+ruby_add_bdepend "test? ( >=dev-ruby/rails-7.0.0 )"
+
+all_ruby_prepare() {
+ rm -f Gemfile.lock || die
+ sed -i -e '/debug/ s:^:#:' Gemfile || die
+
+ sed -i -e 's:_relative ": "./:' ${RUBY_FAKEGEM_GEMSPEC} || die
+}
diff --git a/dev-ruby/propshaft/propshaft-1.3.1.ebuild b/dev-ruby/propshaft/propshaft-1.3.1.ebuild
new file mode 100644
index 000000000000..c92fb178fd50
--- /dev/null
+++ b/dev-ruby/propshaft/propshaft-1.3.1.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby32 ruby33 ruby34"
+
+RUBY_FAKEGEM_BINWRAP=""
+RUBY_FAKEGEM_EXTRADOC="README.md UPGRADING.md"
+
+RUBY_FAKEGEM_GEMSPEC="propshaft.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Deliver assets for Rails"
+HOMEPAGE="https://github.com/rails/propshaft"
+SRC_URI="https://github.com/rails/propshaft/archive/v${PV}.tar.gz -> ${P}-git.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1)"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+IUSE="test"
+
+ruby_add_rdepend "
+ >=dev-ruby/actionpack-7.0.0:*
+ >=dev-ruby/activesupport-7.0.0:*
+ dev-ruby/rack:*
+"
+
+ruby_add_bdepend "test? ( >=dev-ruby/rails-7.0.0 )"
+
+all_ruby_prepare() {
+ rm -f Gemfile.lock || die
+ sed -i -e '/debug/ s:^:#:' Gemfile || die
+
+ sed -i -e 's:_relative ": "./:' ${RUBY_FAKEGEM_GEMSPEC} || die
+}